Subject: Re: bug#19284: 25.0.50; tls.el uses option --insecure

From: Ted Zlatanov <[email-masked]>
Date: Mon, 28 Dec 2015 17:04:21 -0500

On Sat, 26 Dec 2015 22:15:45 +0100 Lars Ingebrigtsen <[email-masked]> wrote: 

LI> As Stefan said in a different report -- perhaps we should just require
LI> Emacs with built-in TLS support if you want to use TLS.  That would
LI> essentially mean that we should just remove tls.el and starttls.el.

LI> Alternatively we could, in Emacs 25.1, just remove the --insecure
LI> settings and let people who try to connect to their IMAP server just
LI> fail somewhat mysteriously (it's very common to have self-signed certs
LI> for IMAP).

I am in favor of either option and I think the first is cleaner.

There will be a small but vocal group that wants to use the external
tunnel utility. I think the benefit to the rest of the users will be
worth it, and that group can have a ELPA package to support them.

Ted